<?php
 
 
 

namespace PhpWA\Protocol\Proto\TemplateButton;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class URLButton extends \Google\Protobuf\Internal\Message
{
    


    protected $displayText = null;
    


    protected $url = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDisplayText()
    {
        return $this->displayText;
    }

    public function hasDisplayText()
    {
        return isset($this->displayText);
    }

    public function clearDisplayText()
    {
        unset($this->displayText);
    }

    




    public function setDisplayText($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\HighlyStructuredMessage::class);
        $this->displayText = $var;

        return $this;
    }

    



    public function getUrl()
    {
        return $this->url;
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\HighlyStructuredMessage::class);
        $this->url = $var;

        return $this;
    }

}

